put
https://{targetURL}/api/v1/experiments/sections//content
You can add meta data to this call. In case of PROCEDURE sections you have to add the protocol's version ID and the values of its variables as meta data. Example:
{
"contents": "[protocol HTML]"
"meta": [
{
"name": "protVersionID",
"val": "2344"
},
{
"name": "version",
"val": "1"
},
{
"name": "protVar_7869",
"val": "100"
},
{
"name": "protVar_7871",
"val": "0.3"
}
]
}
Returns 409 Conflict if the section was edited in the new spreadsheet editor of ELN v2; it can then only be changed there. Returns 400 Bad Request if the meta contains eln_spreadsheet_type, which only ELN v2 sets.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
204No Content